# $Revision: 1.19 $, $Date: 2006/03/27 12:41:29 $
Summary:	MySQL module for Ruby
Summary(pl):	Modu MySQL dla jzyka Ruby
Name:		mysql-ruby
Version:	2.7
Release:	4
License:	GPL
Group:		Development/Languages
Source0:	http://tmtm.org/downloads/mysql/ruby/%{name}-%{version}.tar.gz
# Source0-md5:	c6668900e68f0d6a137612c818d5fd01
Patch0:		%{name}-amd64.patch
URL:		http://www.tmtm.org/mysql/ruby/
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
Provides:	ruby-mysql-library
Obsoletes:	ruby-Mysql
# FIXME: obsolete or conflict, not both
Obsoletes:	ruby-mysql
Conflicts:	ruby-mysql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL module for Ruby.

%description -l pl
Modu MySQL dla jzyka Ruby.

%prep
%setup -q
%patch0 -p0

%build
ruby extconf.rb \
	--with-mysql-dir=%{_prefix}
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

rdoc -o rdoc
rdoc --ri -o ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}

%{__make} install \
	archdir=$RPM_BUILD_ROOT%{ruby_archdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* rdoc
%attr(755,root,root) %{ruby_archdir}/mysql.so
%{ruby_ridir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mysql-ruby.spec,v $
Revision 1.19  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.18  2005/12/31 10:36:32  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.17  2005/12/29 16:59:47  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.16  2005/12/27 09:02:55  twittner
- fix previous commit - script is a bit to aggressive

Revision 1.15  2005/12/27 08:54:13  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.14  2005/12/26 23:50:12  glen
- use system ruby macros; cleanups

Revision 1.13  2005/10/29 19:57:32  aredridel
- rel 2 for rebuild
- STBR

Revision 1.12  2005/09/27 00:29:55  aredridel
- added amd64 integer size patch

Revision 1.11  2005/08/27 18:48:57  aredridel
- up to 2.7

Revision 1.10  2005/08/15 09:07:00  qboosh
- updated Source0 URL

Revision 1.9  2005/05/11 22:39:47  aredridel
- up to 2.6

Revision 1.8  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.7  2004/11/08 19:48:45  aredridel
- update for ruby-mysql alternatives

Revision 1.6  2004/11/05 23:14:17  aredridel
- changed name
- added obsoletes/conflicts

Revision 1.5  2004/10/30 22:50:07  aredridel
- up to 2.5.1
- works with new libmysqlclient

Revision 1.4  2004/08/24 07:42:53  aredridel
- added ri docs

Revision 1.3  2004/08/24 06:54:06  qboosh
- pass optflags
- commented out ridir stuff - not packaged and there is no ruby_ridir definition

Revision 1.2  2004/08/24 06:39:42  qboosh
- .so perms, ruby-static no longer needed

Revision 1.1  2004/08/22 07:06:18  aredridel
- up to 2.4.5
- moved from ruby-mysql.spec

Revision 1.12  2003/12/23 00:57:52  aredridel
- change path to archdir, not sitearchdir
- BR: ruby-devel
- install properly

Revision 1.11  2003/09/10 14:43:30  ankry
- really rel. 2

Revision 1.10  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.9  2003/05/28 13:01:42  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/07/18 15:25:24  kloczek
- cosmetics.

Revision 1.6  2002/07/17 11:55:50  wiget
- install module in sitedir like other optional packages
- use macros

Revision 1.5  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 13:44:26  qboosh
- adapterized, added pl summaries, cosmetics

Revision 1.2  2002/02/02 23:01:02  lukasz
- spec adapterized and few cosmetics.

Revision 1.1  2002/02/02 22:49:19  lukasz
- 2.4.2
- initial release
